Question

AOS compability between 2 DR site?

  • 10 December 2019
  • 3 replies
  • 1490 views

Userlevel 3
Badge +17

Hi guys,

Is there any compatibility requirement about AOS versions between 2 DR sites?

I am going to upgrade one site to newer AOS version and worrying about their AOS compatibility


3 replies

Userlevel 3
Badge +4

Hi guys,

Is there any compatibility requirement about AOS versions between 2 DR sites?

I am going to upgrade one site to newer AOS version and worrying about their AOS compatibility

 

Hi @hienle 

what is the AOS version on Primary & DR?

You can read the ASYNC DR guidelines for AOS 5.10

from the Async DR guidelines above:
For Async and NearSync DR, Nutanix supports replications between N to N-2 minor versions (N to N-1 minor LTS versions) and vice versa.

you can also pause the replication during the upgrades.

BR

Userlevel 3
Badge +17

Hi guys,

Is there any compatibility requirement about AOS versions between 2 DR sites?

I am going to upgrade one site to newer AOS version and worrying about their AOS compatibility

 

Hi @hienle 

what is the AOS version on Primary & DR?

You can read the ASYNC DR guidelines for AOS 5.10

from the Async DR guidelines above:
For Async and NearSync DR, Nutanix supports replications between N to N-2 minor versions (N to N-1 minor LTS versions) and vice versa.

you can also pause the replication during the upgrades.

BR

Hi Mutahir,

The current AOS version being used for both site is 5.2.x 

We are going to upgrade Primary/DR site to 5.10.x.

Could you please explain a little bit about “N to N-2 minor versions”? Which is N in 5.2.4 version for example?

Userlevel 3
Badge +4

Hi Mutahir,

The current AOS version being used for both site is 5.2.x 

We are going to upgrade Primary/DR site to 5.10.x.

Could you please explain a little bit about “N to N-2 minor versions”? Which is N in 5.2.4 version for example?

 

Hi @hienle 

are you using power-pc nodes?
what is the hardware model?

 

N to N-2 means that you can only be 2 minor versions apart (example, 5.6 to 5.8).
You can also upgrade between LTS versions, for that the N-2 doesn’t apply (so you can go from 5.5 to 5.10 for example and replication should still work)

 

BR

Reply